Results 1 to 5 of 5

Thread: need help to install driver

  1. #1

    Default need help to install driver

    Good day all, i'm a pure noob with linux and trying to install some driver to be able to retrieve data from my USB blood pressure monitor.libomron - Open source driver for Omron USB products

    I'm only running Suse 11.2 on my laptop and i did find some driver here no RPM https://github.com/qdot/libomron but just do not know how to install it, i tried to get in the folder ''CD'' and then ''Cmakefile'' but doesn't work for me and do not have a clue on how to do it, so i would really appreciate a step by step instruction for dummy if someone can actually run it thank you.

    stephane@linux-posm:~/Download/qdot-libomron-2b0d69f> ls
    CMakeCache.txt CMakeLists.txt doc include osx README.asciidoc swig
    CMakeFiles compily_buildd examples LICENSE.txt python src
    stephane@linux-posm:~/Download/qdot-libomron-2b0d69f>

    stephane@linux-posm:~> /home/stephane/Download/qdot-libomron-2b0d69f
    bash: /home/stephane/Download/qdot-libomron-2b0d69f: is a directory
    stephane@linux-posm:~> cd /home/stephane/Download/qdot-libomron-2b0d69f
    stephane@linux-posm:~/Download/qdot-libomron-2b0d69f> cmakefiles
    If 'cmakefiles' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf cmakefiles
    stephane@linux-posm:~/Download/qdot-libomron-2b0d69f> cmakelist
    If 'cmakelist' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf cmakelist
    stephane@linux-posm:~/Download/qdot-libomron-2b0d69f>

  2. #2

    Default Re: need help to install driver

    Hi there,

    Glad to see you are adventurous enough to try to use Linux more and build this yourself. IMHO, this is one of the greatest strengths of Linux - the ability to build software and drivers which would otherwise be unavailable to you. However, it does take some learning.

    Looking at the GIT repo, I see there is a README file, did you see that? It is here: https://github.com/qdot/libomron/blo...EADME.asciidoc

    Often, source code with have a file called README and / or INSTALL which will give you the (very general) overview on how to build it. In your case you are going to use a utility called cmake to build the software. However, before we jump into that, not the readme says this driver will apparently only work for:

    Blood Pressure Monitors
    *
    HEM-790-IT
    *
    M10-IT
    Unless you have one of those models, you might want to reconsider. If you do, then it is worth a shot.

    The readme also contains this info:
    To build libomron, make a subdirectory in the source dir (called whatever you want), then go into that directory and run "cmake ..". This will generate the project files for your platform (makefiles for OS X and linux, visual studio for windows). For more information on project generators, look at the cmake documentation.
    This tells us that running cmake will create the makefile. (You may need to install cmake as root with: zypper install cmake) After that you should be able to run the 'make' command to compile. You have to be careful though - the instructions tell you to do several things, and imply some other. In may case I also found that trying to build the tar.gz failed with cmake, I had to check it out with git in order to use a module git needed.

    Here is what I did:
    (Do a 'zypper install git cmake gcc' first to ensure you have these tools)

    git clone git://github.com/qdot/libomron.git
    cd libomron/
    git submodule update --init
    cd build/
    cmake ..
    Note: Using git and installing the module is necessary as if you try to build without it you will likely get this error:

    Make sure you've either put the compily_buildd directory in the same root
    as your repository directory, or that you've used the compily_buildd
    submodule (git submodule update --init)
    This means you need to use git (a source code management tool) to install this submodule with:

    However, I am afraid that despite the above, cmake is still giving me an error:

    CMake Error at CMakeLists.txt:51 (OPTION_LIBRARY_BUILD_FRAMEWORK):
    Unknown CMake command "OPTION_LIBRARY_BUILD_FRAMEWORK".
    Perhaps someone a bit more skilled with cmake could provide some additional advice on the next step from here.

    Cheers,
    Lews Therin

  3. #3

    Default Re: need help to install driver

    Hey there,

    I looked into this a bit more - but first I just wanted to say: don't let all this scare you off! This is a bit of a tricky build, even for experienced users - you are jumping into a fairly advanced process here. Often you can build simple source code packages by the time honored sequence of commands: ./configure && make && make install
    But in this case there is a lot more going on.

    The developer of this (qdot) has created a cmake / python development tool (compily_buildd) which is designed for building drivers for cross platform environments. Check out what he has to say about this tool at:

    https://github.com/qdot/compily_buil...ter/README.txt

    https://github.com/qdot/compily_buil...UILDD.asciidoc

    This all looks pretty cool, but it is adding another layer into the mix - and that may be where things are going off the rails with my build attempt. I think in this case you might try contacting him, I am willing to bet he will point you in the correct direction. Just create an account at git hub, and let him know what you are running in to (you can message him through git hub). You can even direct him to this thread.

    I have had exceedingly good luck in contacting developers directly when I get utterly stuck. Just be polite and clear in what you are asking and the vast majority of times you will likely be surprised at the amount of help they are willing to provide.

    Good luck in your project!

    Cheers,
    Lews Therin

  4. #4

    Default Re: need help to install driver

    Yes my model is in the list so should work, i will give a try for sure to send him an email if i cannot do it my self. Thank you for your time.

  5. #5

    Default Re: need help to install driver

    Great! I am willing to bet you can get this to work. It will be a learning experience for sure.

    Don't let this scare you off from compiling things though. Often it is not a difficult process, but in this case there are a few things going on. This is a pretty tough one to cut your teeth on.

    Good luck with it.

    Lews Therin

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •